*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    list-style: none;
    text-decoration: none;
}
/* @font-face {
  font-family: "Montserrat";
  src: url("../font/static/Oswald-Medium.ttf");
} */
body {
  background-image: url(../Tales_of_Vesperia/Capturas/Tales-of-Vesperia-Combat-2.jpg);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  font-family: Arial, Helvetica, sans-serif;
  backdrop-filter: blur(1px);
}

#logo{
    font-size: 0;
    display: inline-block;
    width: 350px;
    height: 150px;
    background-image: url(../Tales_of_Vesperia/logo.png);
    background-repeat: no-repeat;
    background-size: cover;
    vertical-align: middle;
}

#logo a{
    display: inline-block;
    width: 9.375rem;
    height: 9.375rem;
}
#logo ul{
  display: flex;
}
.container {
    width: 100%;
    min-width: 320px;
}

.menu-hamburguesa{
  display: none;
}
labe .menu[for="menu-hamburguesa"]{
  display: none;
}
#menu-hamburguesa{
  display: none;
}

.main_header {
      display: flex;
      justify-content: space-between;
      position:relative; 
      width: 100%;
      align-items: center;
      gap: 30px;
      padding-right: 0.5em;
}

.main_header nav{
    display: inline-block;
    vertical-align: middle;
}

.main_header nav ul li{
    list-style: none;
    width: 140px;
    display: inline-block;
    margin-left: 10px;
}

.main_header nav ul li a{
    text-decoration: none;
    display: block;
    color: rgb(0, 0, 0);
    font-size: 1em;
    font-weight: bold;
    text-align: center;
    padding: 20px 0;
    background-color: rgba(255, 255, 255, 0.808);
    border-bottom: 3px solid rgb(47, 0, 255);
    border-right: 3px solid rgb(47, 0, 255);
    transition: all 0.5s;
}

.main_header nav ul li a:hover{
    background-color: rgb(255, 255, 255);
    border-bottom: 3px solid rgb(255, 255, 255);
    border-right: 3px solid rgb(255, 255, 255);
    border-radius: 10px;
    color:rgb(255, 7, 7)
}


#banner{
    max-width: 100%;
    height: 40rem;
    background-image: url(../Tales_of_Vesperia/Banners/banner_2.jpg);
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
    margin-bottom: 2em;
}

#banner h2{
    font-size: 0;
}

/* introduccion */

#introduccion{
    padding:1.3rem  6.3rem 1.3rem 6.3rem ; 
    border: 1px solid rgba(0, 0, 0, 0.5); 
    background-color: #f9f9f9cb;
    border-radius: 10px;
    flex-wrap: wrap;
    display: flex;
}
.texto{
  font-size: 1em;
}
.text{
  font-size: 1.1em;
  margin-top: 1em;
}

.acerca-de {
  color: #000000;
  font-size: 1.1em;
  text-align: justify;
  margin-top: 3rem;
  flex: 2;
  min-width: 300px;
}

.acerca-de h2{
  font-size: 1.3em;
  margin-bottom: 30px;
}

.imagen-poster {
  flex: 1;
  min-width: 250px;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 10px;
  height: auto;
}

.imagen-poster picture img {
  max-width: 100%;
  height: auto;
  display: block;
  border-radius: 10px;
}
/* caracteristica */

#caracteristica {
  padding: 40px 20px;
}

#caracteristica h2 {
  text-align: center;
  font-size: 2.1em;
  margin-bottom: 40px;
  color: #000000;
}


#fondo-articulos article {
  border: 1px solid rgb(0, 0, 0); 
  border-radius: 10px;
  display: flex;
  flex-wrap: wrap;
  gap: 1.5rem;
  padding: 20px;
  margin-bottom: 30px;
  align-items: center; 
  background-color: #f9f9f9cb;
}
#fondo-articulos h3 {
  font-size: 1.3em;
  color: #000000;
  margin-bottom: 2rem;
}

#fondo-articulos .texto {
  font-size: 1.2em;
  color: #000000;
  /* line-height: 1.5; */
}

.columna {
  flex: 1 1 40%;
  padding: 1rem;
  box-sizing: border-box;
}

.columna img,
.columna iframe {
  width: 100%;
  height: auto;
  display: block;
  object-fit: cover;
}

.video {
  aspect-ratio: 16 / 9;
}

.video iframe {
  width: 100%;
  height: 100%;
}

/* personajes */

#personajes {
  padding: 40px 20px;
}
#personajes h2 {
  text-align: center;
  font-size: 2.1em;
  margin-bottom: 40px;
  color: #000000;
}
#personajes article {
  border: 1px solid rgb(0, 0, 0); 
  border-radius: 10px;
  display: flex;
  flex-wrap: wrap;
  gap: 1.5rem;
  padding: 20px;
  margin-bottom: 30px;
  align-items: center; 
  background-color: #f9f9f9cb;
}
#personajes h3 {
  font-size: 1.3em;
  color: #000000;
  margin-bottom: 2rem;
  margin: 1.2em;
}
#personajes .texto {
  font-size: 1.2em;
  color: #000000;
}
p {
  display: block;
    margin-block-start: 1em;
    margin-block-end: 1em;
    margin-inline-start: 0px;
    margin-inline-end: 0px;
    unicode-bidi: isolate;
  font-size: 1em;
  padding-top: 1em;
}

article {
  border: 1px solid rgb(0, 0, 0); 
  border-radius: 10px;
  display: flex;
  flex-wrap: wrap;
  gap: 2rem;
  margin-bottom: 1.2rem;
  align-items: center; 
  background-color: #f9f9f9cb;
}
#personajes-1 h3 {
  font-size: 1.5em;
  color: #000000;
  margin-bottom: 10px;
} 

.info-personaje .texto {
  font-size: 1em;
  color: #000000;
}

.imagenes-personaje {
  max-width: 100%; 
  height: auto;
  display: flex;
  flex-direction: row;
  gap: 1rem;
}

.imagenes-personaje img {
  width: 200px;
  height: auto; 
  background-size: cover;
  border-radius: 8px;
}
.imagenes-personaje img:hover {
  transform: scale(1.03);
}

#personajes,
.caja-personaje {
  max-width: 100%; 
  height: auto;
  font-size: 1.05em;
}

h3 {
  font-size: 1.5em;
  color: #000000;
  margin-bottom: 1em;
}

.info-personaje {
    flex: 1; 
    margin-left: 2em;
}

#galeria h2 {
  flex-wrap: wrap;
  font-size: 2rem;
  text-align: center;
  margin-bottom: 1.5rem;
  color: #000000;
}

.galeria-grid {
  flex-wrap: wrap;
  display: grid;
  grid-template-columns: 1fr 1fr; 
  gap: 1rem;
  padding: 0 1rem;
}

.galeria-item {
  flex-wrap: wrap;
  overflow: hidden;
  border-radius: 10px;
  transition: transform 0.3s ease;
}

.galeria-item:hover {
  transform: scale(1.03);
}

.galeria-item img {
  width: 100%;
  height: auto;
  background-size: cover;
  display: block;
}


/* contacto */

.container-contacto {
  max-width: 600px;
  margin: 3rem auto;
  padding: 2rem;
  background-color: #f9f9f9;
  border-radius: 12px;
  box-shadow: 0 4px 12px rgba(0,0,0,0.1);
}

#contacto {
  text-align: center;
  font-size: 1.5rem;
  margin-bottom: 1.5rem;
  color: #333;
}


.form-group {
    margin-bottom: 15px;
  }
  
  label {
    display: block;
    font-weight: bold;
    margin-bottom: 5px;
    color: #000000f8;
  }
  
  input,
  select,
  textarea {
    width: 100%;
    padding: 10px;
    border: 1px solid #ff0202;
    border-radius: 5px;
    font-size: 16px;
  }
  
  textarea {
    resize: none;
  }
  
  .btn-enviar {
    width: 100%;
    background-color: #4caf50;
    color: white;
    border: none;
    padding: 10px 15px;
    font-size: 16px;
    border-radius: 5px;
    cursor: pointer;
    transition: all 0.3s;
  }
  
  .btn-enviar:hover {
    background-color: #45a049;
  } 


  /*parter del footer*/

  .footer {
    background-color: #333;
    color: #fff; 
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 30px;
    border-top: 3px solid #fff; 
    font-family: 'Arial', sans-serif;
    box-shadow: 0px -2px 10px rgba(0, 0, 0, 0.2);
    flex-direction: column; 
}

.footer-info {
    color: white; 
    margin-bottom: 10px; 
    text-align: center; 
}

.footer-info p {
    margin: 5px 0;
}

.footer-perfil {
    margin-top: 10px; 
}

.footer-perfil img {
    max-width: 15.7em; 
    border-radius: 50%; 
    border: 3px solid #fff; 
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3); 
}


@media screen and (min-width: 325px) and (max-width: 480px) {

  .main_header {
    display: flex;
    align-items: center;
  }  

  #logo {
    justify-content: center;
    width: 50%;
    height: 100px;
    background-size: contain;
  }


  .main-header ul{
    display: none;
  }

  #menu-hamburguesa{
    display: none;
  }
  #menu-hamburguesa:checked ~ ul{
    display: block;
    position: absolute;
    
  }
  .menu-hamburguesa{
    display: inline-block;
    border-radius: 5px;
    width: 100%;
    font-size: 2em;
    padding-right: 1.5rem;
    text-align: center;
    user-select: none;

  }

.main_header nav ul {
  display: none;
  flex-direction: column;
  width: 100%;
  height: auto;
  background-color: rgba(255, 255, 255, 0.9);
  position: absolute;
  top: 100%;
  left: 0;
  z-index: 10;
}


.main_header nav ul li {
  width: 100%;
  text-align: center;
  margin: 0;
}

.main_header nav ul li a {
  padding: 1em;
  border-right: none;
  border-bottom: 1px solid #ccc;
}
#banner{
  max-width: 100%;
  height: 12.5rem;
  background-image: url(../Tales_of_Vesperia/Banners/banner-4.jpg);
  background-repeat: no-repeat;
  background-position: center center;
  background-size: cover;
  margin-bottom: 2em;
}

#banner h2{
  font-size: 0;
}

#introduccion {
  display: flex;
  flex-direction: column;
  padding: 1em;
  text-align: center;
}

  .imagen-poster {
    padding: 0;
    margin-top: 2rem;
  }

  .imagen-poster img {
    width: 100%;
    height: auto;
  }

.acerca-de {
  padding: 1em;
  text-align: center;
}

#caracteristica article {
  flex-direction: column;
}

.columna {
  flex: 1 1 100%;
  padding: 0;
}

article {
  flex-direction: column;
  display: flex;
}

.imagenes-personaje {
  flex-direction: column;
  margin-top: auto;
}
.imagenes-personaje img {
  padding-bottom: 3em;
}
.info-personaje {
  margin-left: 0;
  padding: 1em;
  text-align: center;
}

.galeria-grid {
  grid-template-columns: 1fr;
}

.container-contacto {
  width: 90%;
  padding: 1em;
}

.footer {
  padding: 1.5em;
  font-size: 0.9em;
}

.footer-perfil img {
  width: 8em;
}
}

@media screen and (min-width: 481px) and (max-width: 768px) {
  #banner {
    max-width: 100%;
    height: 34em;
    background-image: url(../Tales_of_Vesperia/Banners/banner-5.jpg.png);
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
    margin-bottom: 2em;
  }

  #banner h2 {
    font-size: 0;
  }

  .main_header {
    display: flex;
    align-items: center;
  }


  .main-header ul {
    display: none;
  }

  #menu-hamburguesa {
    display: none;
  }

  #menu-hamburguesa:checked ~ ul {
    display: block;
    position: absolute;
  }

  .menu-hamburguesa {
    display: inline-block;
    border-radius: 5px;
    width: 100%;
    font-size: 3em;
    padding-right: 1.5rem;
    text-align: center;
    user-select: none;
  }

  .main_header nav ul {
    display: none;
    flex-direction: column;
    width: 100%;
    background-color: rgba(255, 255, 255, 0.9);
    position: absolute;
    top: 100%;
    left: 0;
    z-index: 10;
  }

  .main_header nav ul li {
    width: 100%;
    text-align: center;
    margin: 0;
  }

  .main_header nav ul li a {
    padding: 1em;
    border-right: none;
    border-bottom: 1px solid #ccc;
  }

  #introduccion {
    display: flex;
    align-items: center;
    flex-direction: column;
  } 
  .acerca-de {
    padding: 1em;
    text-align: center;
  }
  .imagen-poster {
    display: flex;
    padding: 0;
    justify-content: center;
  }
  .imagen-poster img {
    width: 100%;
    height: auto;
  }


  #caracteristica article {
    flex-direction: column;
  }
  
  .columna {
    flex: 1 1 100%;
    padding: 0;
  }
  
  article {
    flex-direction: column;
    display: flex;
  }

}